//
//  TestGameBoard.m
//  TDD_TicTacToe
//
//  Created by Douglas Sjoquist on 8/10/11.
//  Copyright 2011 Ivy Gulch, LLC. All rights reserved.
//

#import <GHUnitIOS/GHUnitIOS.h>
#import "GameBoard.h"

@interface TestGameBoard : GHTestCase { }
GameBoard *gameBoard_;
@end

@implementation TestGameBoard

- (void) setUp {
    [super setUp];
    
    gameBoard_ = [[GameBoard alloc] init];
}

- (void) tearDown {
    [gameBoard_ release];
    
    [super tearDown];
}

- (void) testValidMove_row0_col0 {
    [gameBoard_ movePlayer:@"playerA" row:0 col:0];
    GHAssertEqualStrings([gameBoard_ playerAtRow:0 col:0], @"playerA", @"playerAt 0 0 should return 'playerA'");
}


- (void) testTwoValidMoves {
    [gameBoard_ movePlayer:@"playerA" row:0 col:0];
    [gameBoard_ movePlayer:@"playerB" row:1 col:1];
    
    GHAssertEqualStrings([gameBoard_ playerAtRow:0 col:0], @"playerA", @"playerAt 0 0 should return 'playerA'");
    GHAssertEqualStrings([gameBoard_ playerAtRow:1 col:1], @"playerB", @"playerAt 1 1 should return 'playerB'");
}


@end